Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgUtil::Optimizer::IsOperationPermissibleForObjectCallback Struct Reference

Callback for customizing what operations are permitted on objects in the scene graph. More...

Inheritance diagram for osgUtil::Optimizer::IsOperationPermissibleForObjectCallback:

[legend]
List of all members.

## Public Member Functions
virtual bool | isOperationPermissibleForObjectImplementation (const Optimizer *optimizer, const osg::StateSet *stateset, unsigned int option) const
virtual bool | isOperationPermissibleForObjectImplementation (const Optimizer *optimizer, const osg::StateAttribute *attribute, unsigned int option) const
virtual bool | isOperationPermissibleForObjectImplementation (const Optimizer *optimizer, const osg::Drawable *drawable, unsigned int option) const
virtual bool | isOperationPermissibleForObjectImplementation (const Optimizer *optimizer, const osg::Node *node, unsigned int option) const

## Detailed Description

Callback for customizing what operations are permitted on objects in the scene graph.

## Member Function Documentation

virtual bool osgUtil::Optimizer::IsOperationPermissibleForObjectCallback::isOperationPermissibleForObjectImplementation | ( | const Optimizer * | optimizer,
|  | const osg::Node * | node,
|  | unsigned int | option
| ) | const`[inline, virtual]`

virtual bool osgUtil::Optimizer::IsOperationPermissibleForObjectCallback::isOperationPermissibleForObjectImplementation | ( | const Optimizer * | optimizer,
|  | const osg::Drawable * | drawable,
|  | unsigned int | option
| ) | const`[inline, virtual]`

virtual bool osgUtil::Optimizer::IsOperationPermissibleForObjectCallback::isOperationPermissibleForObjectImplementation | ( | const Optimizer * | optimizer,
|  | const osg::StateAttribute * | attribute,
|  | unsigned int | option
| ) | const`[inline, virtual]`

virtual bool osgUtil::Optimizer::IsOperationPermissibleForObjectCallback::isOperationPermissibleForObjectImplementation | ( | const Optimizer * | optimizer,
|  | const osg::StateSet * | stateset,
|  | unsigned int | option
| ) | const`[inline, virtual]`

The documentation for this struct was generated from the following file:

- Optimizer